summaryrefslogtreecommitdiff
path: root/tests/run-tests.sh
diff options
context:
space:
mode:
authorJulian Andres Klode <jak@debian.org>2016-11-22 22:57:46 +0100
committerJulian Andres Klode <jak@debian.org>2016-11-22 22:57:46 +0100
commite2073b0276226b625897ef475f225bf8f508719e (patch)
tree58399f444b3d0ba2d4e7fd083a78846ad2d37832 /tests/run-tests.sh
Squashed 'triehash/' content from commit 16f59e1
git-subtree-dir: triehash git-subtree-split: 16f59e1320e6db18ba3b4269b7ca333b1463dd7b
Diffstat (limited to 'tests/run-tests.sh')
-rwxr-xr-xtests/run-tests.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/tests/run-tests.sh b/tests/run-tests.sh
new file mode 100755
index 000000000..b9c1ec309
--- /dev/null
+++ b/tests/run-tests.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+DIR=$(dirname $(readlink -f $0))
+
+# Let's go into triehash.pl's dir
+cd $(dirname "$DIR")
+
+rm -rf cover_db
+
+count=$(cd "$DIR" && echo test-* | wc -w)
+i=1
+
+for test in $DIR/test-*; do
+ echo "[$i/$count] Running testcase $test"
+ if ! $test > test.summary 2>&1; then
+ cat test.summary
+ exit 1
+ fi
+ i=$((i + 1))
+done
+
+
+cover